DEV_REMOVE_PACK(9)

NAME
dev_remove_pack - remove packet handler

SYNOPSIS

void dev_remove_pack(struct packet_type * pt);

ARGUMENTS

pt
    packet type declaration

DESCRIPTION

Remove a protocol handler that was previously added to the kernel protocol handlers by dev_add_pack. The passed packet_type is removed from the kernel lists and can be freed or reused once this function returns.

This call sleeps to guarantee that no CPU is looking at the packet type after return.

COPYRIGHT